Show / Hide Table of Contents

# Struct ImGuiPayloadPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPayloadPtr

### Constructors

| Improve this Doc View Source

#### ImGuiPayloadPtr(ImGuiPayload*)

##### Declaration

    public ImGuiPayloadPtr(ImGuiPayload*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | nativePtr |

| Improve this Doc View Source

#### ImGuiPayloadPtr(IntPtr)

##### Declaration

    public ImGuiPayloadPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Data

##### Declaration

    public IntPtr Data { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### DataFrameCount

##### Declaration

    public readonly ref int DataFrameCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DataSize

##### Declaration

    public readonly ref int DataSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DataType

##### Declaration

    public readonly RangeAccessor<byte> DataType { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Byte> |

| Improve this Doc View Source

#### Delivery

##### Declaration

    public readonly ref bool Delivery { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiPayload*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiPayload* |

| Improve this Doc View Source

#### Preview

##### Declaration

    public readonly ref bool Preview { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SourceId

##### Declaration

    public readonly ref uint SourceId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SourceParentId

##### Declaration

    public readonly ref uint SourceParentId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### IsDataType(String)

##### Declaration

    public bool IsDataType(string type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsDelivery()

##### Declaration

    public bool IsDelivery()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsPreview()

##### Declaration

    public bool IsPreview()

##### Returns

Type | Description
--- | ---
System.Boolean |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiPayload* to ImGuiPayloadPtr)

##### Declaration

    public static implicit operator ImGuiPayloadPtr(ImGuiPayload*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayload* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPayloadPtr |

| Improve this Doc View Source

#### Implicit(ImGuiPayloadPtr to ImGuiPayload*)

##### Declaration

    public static implicit operator ImGuiPayload*(ImGuiPayloadPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiPayloadPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiPayload* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiPayloadPtr)

##### Declaration

    public static implicit operator ImGuiPayloadPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiPayloadPtr |